package com.ruoyi.project.apply.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 安全阀离线切出申请对象 t_apply_offlinevalve
 *
 * @author ruoyi
 * @date 2023-02-08
 */
public class TApplyOfflinevalve extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    private Long[] ids;

    /**
     * 安全阀位号
     */
    @Excel(name = "安全阀位号")
    private String devNo;

    /**
     * 单元
     */
    @Excel(name = "单元")
    private String unit;

    /**
     * 申请状态1：申请中，2：已通过，3：已拒绝
     */
    @Excel(name = "申请状态", readConverterExp = "1=申请中,2=已通过,3=已拒绝")
    private String approveStatus;

    /**
     * 状态
     */
    @Excel(name = "状态", readConverterExp = "0=未完成,1=已完成")
    private Long status;

    /**
     * 破锁编号
     */
    @Excel(name = "破锁编号")
    private String lockNo;

    /**
     * 离线原因
     */
    @Excel(name = "离线原因")
    private String offlineReason;

    /**
     * 安全阀锁开是否拆解
     */
    @Excel(name = "安全阀锁开是否拆解")
    private String disassembly;

    /**
     * 安全评估以及临时措施执行
     */
    private String safa;

    /**
     * 临时措施执行人
     */

    private String executor;

    /**
     * 执行人姓名
     */
    @Excel(name = "临时措施执行人")
    private String executorName;

    /**
     * 临时措施执行时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @Excel(name = "执行时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date executionTime;

    /**
     * 临时措施确认人
     */
    private String confirmer;

    /**
     * 确认人姓名
     */
    @Excel(name = "临时措施确认人")
    private String confirmerName;

    /**
     * 临时措施确认时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date temporaryTime;

    /**
     * 申请人
     */
    private String applicant;

    @Excel(name = "申请人")
    private String applicantName;

    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date applicationTime;

    /**
     * 批准人
     */

    private String approver;

    /**
     * 批准人姓名
     */
    @Excel(name = "批准人")
    private String approverName;


    /**
     * 批准时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @Excel(name = "批准时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date approveTime;

    /**
     * 离线安全阀是否已经复位
     */
    private String resetConfirm;

    /**
     * 离线安全阀复位后现场是否存在泄漏
     */
    private String leakConfirm;

    /**
     * 离线安全复位后，之前采取的安全措施是否已撤销
     */
    private String revokeConfirm;

    /**
     * 离线安全复位后，是否已经重新上锁
     */
    private String lockConfirm;

    /**
     * 是否上锁确认人1
     */
    private String lockConfirmer1;

    /**
     * 是否上锁确认人2
     */
    private String lockConfirmer2;

    /**
     * 信息确认人
     */
    private String infoConfirmer;

    /**
     * 确认时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date confirmTime;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 状态 1 ：正常 ；0：删除
     */
    private Long delFlag;

    /**
     * 创建人
     */
    private String createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createdate;

    /**
     * 修改人
     */
    private Long updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatedate;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 上锁确认人1姓名
     */
    private String lockConfirmer1Name;

    /**
     * 上锁确认人2姓名
     */
    private String lockConfirmer2Name;

    /**
     * 信息确认人姓名
     */
    private String infoConfirmerName;

    /**
     * 流程id
     */
    private String processId;

    /**
     * 申请编号
     */
    private String apNo;

    private String deptName;

    public String getLockNo() {
        return lockNo;
    }

    public void setLockNo(String lockNo) {
        this.lockNo = lockNo;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getApNo() {
        return apNo;
    }

    public void setApNo(String apNo) {
        this.apNo = apNo;
    }

    public String getLockConfirmer1Name() {
        return lockConfirmer1Name;
    }

    public void setLockConfirmer1Name(String lockConfirmer1Name) {
        this.lockConfirmer1Name = lockConfirmer1Name;
    }

    public String getLockConfirmer2Name() {
        return lockConfirmer2Name;
    }

    public void setLockConfirmer2Name(String lockConfirmer2Name) {
        this.lockConfirmer2Name = lockConfirmer2Name;
    }

    public String getInfoConfirmerName() {
        return infoConfirmerName;
    }

    public void setInfoConfirmerName(String infoConfirmerName) {
        this.infoConfirmerName = infoConfirmerName;
    }

    public String getExecutorName() {
        return executorName;
    }

    public void setExecutorName(String executorName) {
        this.executorName = executorName;
    }

    public String getConfirmerName() {
        return confirmerName;
    }

    public void setConfirmerName(String confirmerName) {
        this.confirmerName = confirmerName;
    }

    public String getApproverName() {
        return approverName;
    }

    public void setApproverName(String approverName) {
        this.approverName = approverName;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDevNo(String devNo) {
        this.devNo = devNo;
    }

    public String getDevNo() {
        return devNo;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setOfflineReason(String offlineReason) {
        this.offlineReason = offlineReason;
    }

    public String getOfflineReason() {
        return offlineReason;
    }

    public void setSafa(String safa) {
        this.safa = safa;
    }

    public String getSafa() {
        return safa;
    }

    public void setDisassembly(String disassembly) {
        this.disassembly = disassembly;
    }

    public String getDisassembly() {
        return disassembly;
    }

    public void setExecutor(String executor) {
        this.executor = executor;
    }

    public String getExecutor() {
        return executor;
    }

    public void setConfirmer(String confirmer) {
        this.confirmer = confirmer;
    }

    public String getConfirmer() {
        return confirmer;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicationTime(Date applicationTime) {
        this.applicationTime = applicationTime;
    }

    public Date getApplicationTime() {
        return applicationTime;
    }

    public void setApprover(String approver) {
        this.approver = approver;
    }

    public String getApprover() {
        return approver;
    }

    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    public Date getApproveTime() {
        return approveTime;
    }

    public void setResetConfirm(String resetConfirm) {
        this.resetConfirm = resetConfirm;
    }

    public String getResetConfirm() {
        return resetConfirm;
    }

    public void setLeakConfirm(String leakConfirm) {
        this.leakConfirm = leakConfirm;
    }

    public String getLeakConfirm() {
        return leakConfirm;
    }

    public void setRevokeConfirm(String revokeConfirm) {
        this.revokeConfirm = revokeConfirm;
    }

    public String getRevokeConfirm() {
        return revokeConfirm;
    }

    public void setLockConfirm(String lockConfirm) {
        this.lockConfirm = lockConfirm;
    }

    public String getLockConfirm() {
        return lockConfirm;
    }

    public void setLockConfirmer1(String lockConfirmer1) {
        this.lockConfirmer1 = lockConfirmer1;
    }

    public String getLockConfirmer1() {
        return lockConfirmer1;
    }

    public void setLockConfirmer2(String lockConfirmer2) {
        this.lockConfirmer2 = lockConfirmer2;
    }

    public String getLockConfirmer2() {
        return lockConfirmer2;
    }

    public void setInfoConfirmer(String infoConfirmer) {
        this.infoConfirmer = infoConfirmer;
    }

    public String getInfoConfirmer() {
        return infoConfirmer;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setTemporaryTime(Date temporaryTime) {
        this.temporaryTime = temporaryTime;
    }

    public Date getTemporaryTime() {
        return temporaryTime;
    }

    public void setExecutionTime(Date executionTime) {
        this.executionTime = executionTime;
    }

    public Date getExecutionTime() {
        return executionTime;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }

    public String getApproveStatus() {
        return approveStatus;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("devNo", getDevNo())
                .append("unit", getUnit())
                .append("offlineReason", getOfflineReason())
                .append("safa", getSafa())
                .append("disassembly", getDisassembly())
                .append("executor", getExecutor())
                .append("confirmer", getConfirmer())
                .append("applicant", getApplicant())
                .append("applicationTime", getApplicationTime())
                .append("approver", getApprover())
                .append("approveTime", getApproveTime())
                .append("resetConfirm", getResetConfirm())
                .append("leakConfirm", getLeakConfirm())
                .append("revokeConfirm", getRevokeConfirm())
                .append("lockConfirm", getLockConfirm())
                .append("lockConfirmer1", getLockConfirmer1())
                .append("lockConfirmer2", getLockConfirmer2())
                .append("infoConfirmer", getInfoConfirmer())
                .append("confirmTime", getConfirmTime())
                .append("remarks", getRemarks())
                .append("temporaryTime", getTemporaryTime())
                .append("executionTime", getExecutionTime())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("approveStatus", getApproveStatus())
                .toString();
    }
}
